﻿html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html{
    scroll-behavior: smooth;
}

.my-element {
    width: 100%;
    max-width: 1200px;
    font-size: 1rem;
}

@media (max-width: 768px) {
    .my-element {
        font-size: 0.8rem;
        padding: 10px;
    }
}

/* Mặc định cho màn hình lớn */
.box {
    width: 50%;
    float: left;
}

/* Khi màn hình nhỏ hơn 768px */
@media (max-width: 768px) {
    .box {
        width: 100%;
        float: none;
    }
}
/* Khi màn hình nhỏ hơn 991 */
@media (max-width: 991px) {
    #logo {
        max-width: 200px;
        height: 40px;
    }
}

/* Khi màn hình nhỏ hơn 1400px */
@media (max-width: 1400px) {
    #logo {
        max-width: 350px;
        height: 45px;
    }
    #user {
        padding-right: 10px;
    }
}


/* Khi màn hình tối thiếu 1400px */
@media (min-width: 1400px) {
    #logo {
        max-width: 450px;
        height: 55px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin: 0;
    margin-bottom: 60px;
    display: flex;
    flex-direction: column;
}

.container {
    margin: auto;
    font-size: 20px;
    z-index: 1;
    display: flex;
    flex-wrap: wrap;
}

    .container h5 {
        font-size: 40px;
        font: bold;
    }

.item {
    flex: 1 1 300px; /* tối thiểu 300px, chia đều */
}


.bg-image {
    background-size: cover;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    padding: 0px;
    margin: 0px;
}

/*navbar*/
.navbar {
    font-size: 17px;
    background: rgb(255,255,255);
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(199,252,184,1) 100%);
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 5;
}

#logo {
    width: 400px;
    height: 80px;
    padding-left: 20px;
}

.navbar-nav {
    margin: 0px 25px;
}

.sub-menu {
    display: none;
    position: absolute;
    top: 100%;
    width: 270px;
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(209,252,184,1) 100%);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.navbar-nav li {
    position: relative;
    display: inline-block;
    padding: 10px;
}

    .navbar-nav li a:hover {
        background-color: #f1b57c;
    }

    .navbar-nav li:hover .sub-menu {
        display: block;
    }

.navbar {
    margin: 0;
    padding: 0;
}



/*footer*/
.school-footer {
    background-color: #23b118;
    color: #fff;
    padding: 20px;
    font-family: Arial, sans-serif;
    flex-wrap: wrap;
    height: 278px;
    display: flex;
    justify-content: space-between;
    margin-top: auto;
}

    .school-footer .footer-content {
        display: flex;
        justify-content: space-between;
    }

    .school-footer .footer-section {
        width: 35%;
        border: 2px solid 0;
    }

        .school-footer .footer-section h4 {
            color: #f1c40f;
        }

        .school-footer .footer-section ul {
            list-style-type: none;
            padding: 0;
        }

            .school-footer .footer-section ul li {
                margin: 1px;
            }

                .school-footer .footer-section ul li a {
                    color: #fff;
                    text-decoration: none;
                }

                    .school-footer .footer-section ul li a:hover {
                        text-decoration: underline;
                    }

    .school-footer .footer-bottom {
        text-align: center;
        margin-top: 10px;
    }

    .school-footer .social-links {
        list-style-type: none;
        padding: 0;
    }

        .school-footer .social-links li {
            display: inline-block;
            margin-right: 10px;
        }

            .school-footer .social-links li a {
                color: #fff;
                text-decoration: none;
                font-size: 18px;
            }

                .school-footer .social-links li a:hover {
                    color: #0015ff;
                }
